/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.web.multipart.MultipartFile;

/**
 * 电子档案Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffRecord extends DataEntity<WorkStaffRecord> {
	
	private static final long serialVersionUID = 1L;
	private String staff;		// 员工ID
	private String name;		// 档案名称
	private String num;		// 编号
	private String filePath;		// 文件
	private String status;		// 验证
    private String fileName;		// 文件名
    private MultipartFile file;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }
	
	public WorkStaffRecord() {
		super();
	}

	public WorkStaffRecord(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaff() {
		return staff;
	}

	public void setStaff(String staff) {
		this.staff = staff;
	}
	
	@ExcelField(title="档案名称", align=2, sort=8)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="编号", align=2, sort=9)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@ExcelField(title="文件", align=2, sort=10)
	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	
	@ExcelField(title="验证", dictType="", align=2, sort=11)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
}